From aa153ee92cc185c05dd6a42f680229b9a8bfe005 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Feb 04 2021 05:15:07 +0000
Subject: [PATCH 2081/2232] Avoid bringing let_cxx_string's variable name into scope too early


Fixes #701.

---

diff --git a/src/cxx_string.rs b/src/cxx_string.rs
index 08a58b1..8834b49 100644
--- a/src/cxx_string.rs
+++ b/src/cxx_string.rs
@@ -71,10 +71,10 @@ pub struct CxxString {
 #[macro_export]
 macro_rules! let_cxx_string {
     ($var:ident = $value:expr $(,)?) => {
-        let mut $var = $crate::private::StackString::new();
+        let mut cxx_stack_string = $crate::private::StackString::new();
         #[allow(unused_mut, unused_unsafe)]
         let mut $var = match $value {
-            let_cxx_string => unsafe { $var.init(let_cxx_string) },
+            let_cxx_string => unsafe { cxx_stack_string.init(let_cxx_string) },
         };
     };
 }

